//---------------------------------------------------------------------------
#ifndef TMyBooleanEditorH
#define TMyBooleanEditorH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include "tmybooleancomponent.h"
//---------------------------------------------------------------------------
class TMyBooleanEditor : public TForm
{
__published:	// IDE-managed Components
	TBitBtn *BitBtn1;
	TBitBtn *BitBtn2;
	TLabel *Label1;
	TRadioGroup *RadioGroup1;
	void __fastcall RadioGroup1Click(TObject *Sender);
private:	// User declarations
	bool	GetMyBoolean()
    	{
        return (RadioGroup1->ItemIndex==0);
        }
    void	SetMyBoolean( bool Value )
    	{
        if (Value) RadioGroup1->ItemIndex=0;
        else RadioGroup1->ItemIndex=1;
        }
public:		// User declarations
	__fastcall TMyBooleanEditor(TComponent* Owner);
    __property	bool	MyBoolean = {read=GetMyBoolean,write=SetMyBoolean};
};
//---------------------------------------------------------------------------
#endif
